import Error from './error'

const statuses = {
	[400]: "Bad Request",
	[401]: "Unauthorized",
	[402]: "Payment Required",
	[403]: "Forbidden",
	[404]: "Not Found",
	[405]: "Method Not Allowed",
	[500]: "Internal Server Error",
	[501]: "Not Implemented",
	[502]: "Bad Gateway",
	[503]: "Service Unavailable",
	[504]: "Gateway Timeout",
	[505]: "HTTP Version Not Supported"
}
export default function StatusError({ status }: { status: number }) {
	if (status in statuses) {
		return <Error>{`${status} ${statuses[status as keyof typeof statuses]}`}</Error>
	} else {
		return <Error>{status}</Error>
	}
}
